Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.iterators
Class ProxyListIterator

    java.lang.Object
      org.apache.commons.collections.iterators.ProxyListIterator

All Implemented Interfaces:
  java.util.Iterator, java.util.ListIterator

Deprecated. Use AbstractListIteratorDecorator. Will be removed in v4.0

    public class ProxyListIterator

extends java.lang.Object
implements java.util.ListIterator

A proxy `ListIterator` which delegates its methods to a proxy instance.

Since:
  Commons Collections 2.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Rodney Waldhoff

Constructor Summary
`ProxyListIterator()` Deprecated. Constructs a new `ProxyListIterator` that will not function until `setListIterator` is invoked.
`ProxyListIterator(java.util.ListIterator iterator)` Deprecated. Constructs a new `ProxyListIterator` that will use the given list iterator.

Method Summary
`void` | `add(java.lang.Object o)` Deprecated. Invokes the underlying `ListIterator.add(Object)` method.
`java.util.ListIterator` | `getListIterator()` Deprecated. Getter for property iterator.
`boolean` | `hasNext()` Deprecated. Invokes the underlying `ListIterator.hasNext()` method.
`boolean` | `hasPrevious()` Deprecated. Invokes the underlying `ListIterator.hasPrevious()` method.
`java.lang.Object` | `next()` Deprecated. Invokes the underlying `ListIterator.next()` method.
`int` | `nextIndex()` Deprecated. Invokes the underlying `ListIterator.nextIndex()` method.
`java.lang.Object` | `previous()` Deprecated. Invokes the underlying `ListIterator.previous()` method.
`int` | `previousIndex()` Deprecated. Invokes the underlying `ListIterator.previousIndex()` method.
`void` | `remove()` Deprecated. Invokes the underlying `ListIterator.remove()` method.
`void` | `set(java.lang.Object o)` Deprecated. Invokes the underlying `ListIterator.set(Object)` method.
`void` | `setListIterator(java.util.ListIterator iterator)` Deprecated. Setter for property iterator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProxyListIterator

    public ProxyListIterator()

  Deprecated.
  Constructs a new `ProxyListIterator` that will not function until `setListIterator` is invoked.

### ProxyListIterator

    public ProxyListIterator(java.util.ListIterator iterator)

  Deprecated.
  Constructs a new `ProxyListIterator` that will use the given list iterator.

  Parameters:
    `iterator` - the list iterator to use

Method Detail

### add

    public void add(java.lang.Object o)

  Deprecated.
  Invokes the underlying `ListIterator.add(Object)` method.

  Specified by:
    `add` in interface `java.util.ListIterator`
  Throws:
    `java.lang.NullPointerException` - if the underlying iterator is null

### hasNext

    public boolean hasNext()

  Deprecated.
  Invokes the underlying `ListIterator.hasNext()` method.

  Specified by:
    `hasNext` in interface `java.util.Iterator`
  Specified by:
    `hasNext` in interface `java.util.ListIterator`
  Throws:
    `java.lang.NullPointerException` - if the underlying iterator is null

### hasPrevious

    public boolean hasPrevious()

  Deprecated.
  Invokes the underlying `ListIterator.hasPrevious()` method.

  Specified by:
    `hasPrevious` in interface `java.util.ListIterator`
  Throws:
    `java.lang.NullPointerException` - if the underlying iterator is null

### next

    public java.lang.Object next()

  Deprecated.
  Invokes the underlying `ListIterator.next()` method.

  Specified by:
    `next` in interface `java.util.Iterator`
  Specified by:
    `next` in interface `java.util.ListIterator`
  Throws:
    `java.lang.NullPointerException` - if the underlying iterator is null

### nextIndex

    public int nextIndex()

  Deprecated.
  Invokes the underlying `ListIterator.nextIndex()` method.

  Specified by:
    `nextIndex` in interface `java.util.ListIterator`
  Throws:
    `java.lang.NullPointerException` - if the underlying iterator is null

### previous

    public java.lang.Object previous()

  Deprecated.
  Invokes the underlying `ListIterator.previous()` method.

  Specified by:
    `previous` in interface `java.util.ListIterator`
  Throws:
    `java.lang.NullPointerException` - if the underlying iterator is null

### previousIndex

    public int previousIndex()

  Deprecated.
  Invokes the underlying `ListIterator.previousIndex()` method.

  Specified by:
    `previousIndex` in interface `java.util.ListIterator`
  Throws:
    `java.lang.NullPointerException` - if the underlying iterator is null

### remove

    public void remove()

  Deprecated.
  Invokes the underlying `ListIterator.remove()` method.

  Specified by:
    `remove` in interface `java.util.Iterator`
  Specified by:
    `remove` in interface `java.util.ListIterator`
  Throws:
    `java.lang.NullPointerException` - if the underlying iterator is null

### set

    public void set(java.lang.Object o)

  Deprecated.
  Invokes the underlying `ListIterator.set(Object)` method.

  Specified by:
    `set` in interface `java.util.ListIterator`
  Throws:
    `java.lang.NullPointerException` - if the underlying iterator is null

### getListIterator

    public java.util.ListIterator getListIterator()

  Deprecated.
  Getter for property iterator.

  Returns:
    Value of property iterator.

### setListIterator

    public void setListIterator(java.util.ListIterator iterator)

  Deprecated.
  Setter for property iterator.

  Parameters:
    `iterator` - New value of property iterator.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.